# -*- encoding: utf-8 -*-
# stub: waylon 0.2.6 ruby lib

Gem::Specification.new do |s|
  s.name = "waylon".freeze
  s.version = "0.2.6"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "changelog_uri" => "https://github.com/jgnagy/waylon/blob/main/CHANGELOG.md", "homepage_uri" => "https://github.com/jgnagy/waylon", "source_code_uri" => "https://github.com/jgnagy/waylon" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Jonathan Gnagy".freeze]
  s.bindir = "exe".freeze
  s.date = "2022-09-01"
  s.description = "Wrapper gem to ease the installation of the Waylon Bot Framework".freeze
  s.email = ["jonathan@therubyist.org".freeze]
  s.executables = ["waylon".freeze]
  s.files = ["exe/waylon".freeze]
  s.homepage = "https://github.com/jgnagy/waylon".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new("~> 3.1".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Wrapper gem for the Waylon Bot Framework".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_runtime_dependency(%q<waylon-core>.freeze, [">= 0"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 2.3"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.10"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 1.23"])
    s.add_development_dependency(%q<rubocop-rake>.freeze, ["~> 0.6"])
    s.add_development_dependency(%q<rubocop-rspec>.freeze, ["~> 2.6"])
    s.add_development_dependency(%q<simplecov>.freeze, ["~> 0.21"])
    s.add_development_dependency(%q<solargraph>.freeze, ["~> 0.45"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.9", ">= 0.9.27"])
  else
    s.add_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_dependency(%q<waylon-core>.freeze, [">= 0"])
    s.add_dependency(%q<bundler>.freeze, ["~> 2.3"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.10"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 1.23"])
    s.add_dependency(%q<rubocop-rake>.freeze, ["~> 0.6"])
    s.add_dependency(%q<rubocop-rspec>.freeze, ["~> 2.6"])
    s.add_dependency(%q<simplecov>.freeze, ["~> 0.21"])
    s.add_dependency(%q<solargraph>.freeze, ["~> 0.45"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.9", ">= 0.9.27"])
  end
end
